X
Tap here to go to the mobile version of the site.

Support Forum

I have a IMac G5 version 10.5.8, 1.8 GHZ Power PC G5, 512 MB DDR SDRAM. I currently have FireFox 3.6.19.Would I benifit from an upgrade tp FireFox 5?

Posted

Info about my PC is below: Model Name: iMac G5

 Model Identifier:	PowerMac8,1
 Processor Name:	PowerPC G5  (3.0)
 Processor Speed:	1.8 GHz
 Number Of CPUs:	1
 L2 Cache (per CPU):	512 KB
 Memory:	512 MB
 Bus Speed:	600 MHz
 Boot ROM Version:	5.2.2f2
 Serial Number (system):	W844101MPNY
 Hardware UUID:	00000000-0000-1000-8000-0011242F512C

I currently have FireFox 3.6.19.Would I benefit from an upgrade to FireFox 5?

Info about my PC is below: Model Name: iMac G5 Model Identifier: PowerMac8,1 Processor Name: PowerPC G5 (3.0) Processor Speed: 1.8 GHz Number Of CPUs: 1 L2 Cache (per CPU): 512 KB Memory: 512 MB Bus Speed: 600 MHz Boot ROM Version: 5.2.2f2 Serial Number (system): W844101MPNY Hardware UUID: 00000000-0000-1000-8000-0011242F512C I currently have FireFox 3.6.19.Would I benefit from an upgrade to FireFox 5?

Chosen solution

Support for Firefox 3.6.x versions is scheduled to end in the near future, however, an update to Firefox 3.6.20 is due out tomorrow. To take advantage of the new enhancements in Firefox, you should upgrade to a newer version, see https://www.mozilla.com/en-US/firefox/central/

however....

Firefox 5 requires an Intel x86 processor on the Mac:

You can try TenFourFox, built expecially for your PPC Mac; based on Firefox 5 by a third-party. Due to problems that the developer is having getting his pages up on a new server you can not access the site directly right now, but you can download it from here:


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.




Not related to your question, but...

You need to update some plug-ins:

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • npmnqmp 071503000004
  • http://www.facebook.com/fbplugin/
  • 1.0.30715
  • Shockwave Flash 10.1 r102
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.2.19) Gecko/20110707 Firefox/3.6.19

More Information

SafeBrowser 543 solutions 2390 answers

Chosen Solution

Support for Firefox 3.6.x versions is scheduled to end in the near future, however, an update to Firefox 3.6.20 is due out tomorrow. To take advantage of the new enhancements in Firefox, you should upgrade to a newer version, see https://www.mozilla.com/en-US/firefox/central/

however....

Firefox 5 requires an Intel x86 processor on the Mac:

You can try TenFourFox, built expecially for your PPC Mac; based on Firefox 5 by a third-party. Due to problems that the developer is having getting his pages up on a new server you can not access the site directly right now, but you can download it from here:


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.




Not related to your question, but...

You need to update some plug-ins:

Support for Firefox 3.6.x versions is scheduled to end in the near future, however, an update to Firefox 3.6.20 is due out tomorrow. To take advantage of the new enhancements in Firefox, you should upgrade to a newer version, see https://www.mozilla.com/en-US/firefox/central/ '''''however....''''' '''Firefox 5 requires an Intel x86 processor''' on the Mac: *https://www.mozilla.com/en-US/firefox/5.0/system-requirements/index.html You can try TenFourFox, built expecially for your PPC Mac; based on Firefox 5 by a third-party. Due to problems that the developer is having getting his pages up on a new server you can not access the site directly right now, but you can download it from here: *http://www.macupdate.com/app/mac/37761/tenfourfox *Home page for TenFourFox (not currently working): http://www.floodgap.com/tenfourfox *Developer's blog: http://tenfourfox.blogspot.com/ '''If this reply solves your problem, please click "Solved It" next to this reply when <u>signed-in</u> to the forum.''' ----------------------------- ------------------------- Not related to your question, but... You need to update some plug-ins: *Plug-in check: https://www-trunk.stage.mozilla.com/en-US/plugincheck/ *Shockwave Flash (Adobe Flash or Flash): [https://support.mozilla.com/en-US/kb/Managing%20the%20Flash%20plugin#w_updating-flash Updating Flash in Firefox]

Modified by SafeBrowser